%define	upstream_name	 File-Remove
%define upstream_version 1.57

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Remove files and directories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd) >= 3.290.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.290.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A Perl module to remove files and directories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.570.0-2.mga6
+ Revision: 1027497
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1.570.0-1.mga6
+ Revision: 1007821
- update to 1.57

* Fri Apr 15 2016 shlomif <shlomif> 1.560.0-1.mga6
+ Revision: 1001931
- update to 1.56

* Sat Jan 16 2016 shlomif <shlomif> 1.550.0-1.mga6
+ Revision: 923768
- update to 1.55

* Wed Oct 15 2014 umeabot <umeabot> 1.520.0-5.mga5
+ Revision: 746825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.520.0-4.mga5
+ Revision: 684756
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.520.0-3.mga4
+ Revision: 511598
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.520.0-2.mga3
+ Revision: 367343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.520.0-1.mga3
+ Revision: 254949
- update to 1.52

* Thu Nov 03 2011 jquelin <jquelin> 1.510.0-1.mga2
+ Revision: 162210
- update to 1.51
- update to 1.50

* Mon Mar 14 2011 jquelin <jquelin> 1.490.0-1.mga1
+ Revision: 70985
- update to 1.49

* Sun Mar 13 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 70548
- update to 1.48

* Fri Feb 25 2011 jquelin <jquelin> 1.460.0-1.mga1
+ Revision: 59783
- update to 1.46
- update to 1.46

* Wed Jan 19 2011 jquelin <jquelin> 1.420.0-1.mga1
+ Revision: 23948
- cleaning spec file
- imported package perl-File-Remove


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.420.0-1mdv2010.1
+ Revision: 403177
- rebuild using %%perl_convert_version

* Fri Jul 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-1mdv2009.0
+ Revision: 233660
- update to new version 1.42

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2009.0
+ Revision: 214511
- update to new version 1.41

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-1mdv2008.1
+ Revision: 174677
- update to new version 1.40

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2008.1
+ Revision: 109521
- update to new version 0.39

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 0.38-1mdv2008.1
+ Revision: 100833
- update to new version 0.38

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-1mdv2008.0
+ Revision: 52490
- update to new version 0.37

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2008.0
+ Revision: 48164
- new version


* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2007.0
+ Revision: 96810
- new version
- Import perl-File-Remove

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdk
- new version
- spec cleanup
- %%mkrel
- rpmbuildupdate aware

* Tue Aug 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.30-1mdk
- 0.30

* Wed Dec 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.29-1mdk
- 0.29

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.28-1mdk
- 0.28

* Thu Aug 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.21-1mdk
- 0.21.

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.20-2mdk
- bzip2

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.20-1mdk
- from Robin Rosenberg <robin.rosenberg@dewire.com> : 
	- initial contrib import. Needed for building Captive-NTFS

